Questions & Answers

Driver disc says it's incompatible with my OS Sierra

0 votes
155 views
asked Apr 7, 2017 in FireStudio Series by brianlevang (200 points)
2011 Macbook OS Sierra 10.12.4

Firestudio 26x26 driver version 1.0.1

I get "this package is incompatible with this version of macOS and may fail to install". Please help, thanks.

1 Answer

0 votes
answered Jun 26, 2017 by AlexTinsley (680,390 points)
 
Best answer
FireStudio 2626 is not compatible with Sierra.

Mac OS X 10.6 (Snow Leopard) is the last version of Mac OS X that is supported for FS2626 with Universal Control 1.2.
...